Index: issm/trunk/configs/config-macosx64-helene.sh
===================================================================
--- issm/trunk/configs/config-macosx64-helene.sh	(revision 12332)
+++ issm/trunk/configs/config-macosx64-helene.sh	(revision 12332)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a" \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8
Index: issm/trunk/configs/config-macosx64-larour-ad.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-ad.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-larour-ad.sh	(revision 12332)
@@ -6,17 +6,17 @@
 ./configure \
 	--with-serial=no\
-	--prefix=$ISSM_TIER \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--prefix=$ISSM_DIR \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--without-blas-lapack-dir \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
 	--with-math-lib="/usr/lib/libm.dylib" \
 	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
-	--with-adic2-dir=$ISSM_TIER/externalpackages/adic/install/ \
-	--with-adolc-dir=$ISSM_TIER/externalpackages/adolc/install/ \
+	--with-adic2-dir=$ISSM_DIR/externalpackages/adic/install/ \
+	--with-adolc-dir=$ISSM_DIR/externalpackages/adolc/install/ \
 	--with-numthreads=8 \
 	--without-thermal \
@@ -34,10 +34,10 @@
  
 #--without-prognostic \
-#--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+#--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 #--with-petsc-arch=$ISSM_ARCH \
-#--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-#--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-#--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-#--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+#--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+#--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+#--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+#--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+#--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+#--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
Index: issm/trunk/configs/config-macosx64-larour-bothapis.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-bothapis.sh	(revision 12332)
+++ issm/trunk/configs/config-macosx64-larour-bothapis.sh	(revision 12332)
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+#petsc 3.2
+#mpich 1.4
+
+pythonversion=2.7
+
+./configure \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-matlab-dir=$MATLAB_DIR \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
+	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-math-lib="/usr/lib/libm.dylib" \
+	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
+	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
+	--with-numthreads=8 \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-petsc-arch=$ISSM_ARCH \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/trunk/configs/config-macosx64-larour-nopetsc.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-nopetsc.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-larour-nopetsc.sh	(revision 12332)
@@ -1,28 +1,15 @@
 #!/bin/sh
 
-#petsc 3.2
-#mpich 1.4
+pythonversion=3.2
 
 ./configure \
-	--prefix=$ISSM_TIER \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
-	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-version=$pythonversion \
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/$pythonversion/lib/python$pythonversion/site-packages/numpy/core/include/numpy\
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
 	--with-math-lib="/usr/lib/libm.dylib" \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib \
 	--with-graphics-lib="/usr/X11/lib/libX11.dylib" \
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
-	--with-numthreads=8 \
-	--with-gsl-dir=$ISSM_TIER/externalpackages/gsl/install
-#	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-#	--with-petsc-arch=$ISSM_ARCH \
-#	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-#	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-#	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-#	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-#   --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-gsl-dir=$ISSM_DIR/externalpackages/gsl/install
Index: issm/trunk/configs/config-macosx64-larour-python.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour-python.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-larour-python.sh	(revision 12332)
@@ -5,12 +5,12 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-python-dir=$ISSM_TIER/externalpackages/python/install\
-	--with-python-numpy-dir=$ISSM_TIER/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--prefix=$ISSM_DIR \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-python-dir=$ISSM_DIR/externalpackages/python/install\
+	--with-python-numpy-dir=$ISSM_DIR/externalpackages/python/install/Python.framework/Versions/3.2/lib/python3.2/site-packages/numpy/core/include/numpy\
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
@@ -18,12 +18,12 @@
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
 	--with-numthreads=8 \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	#--with-boost-dir=$ISSM_TIER/externalpackages/boost/install/ \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	#--with-boost-dir=$ISSM_DIR/externalpackages/boost/install/ \
Index: issm/trunk/configs/config-macosx64-larour.sh
===================================================================
--- issm/trunk/configs/config-macosx64-larour.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-larour.sh	(revision 12332)
@@ -5,11 +5,11 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
-	--with-chaco-dir=$ISSM_TIER/externalpackages/chaco/install \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-chaco-dir=$ISSM_DIR/externalpackages/chaco/install \
 	--with-fortran-lib="/usr/local/gfortran/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
@@ -17,11 +17,11 @@
 	--with-cxxoptflags=" -fno-common -no-cpp-precomp -fexceptions -arch x86_64 -mmacosx-version-min=10.5  -O3 -DNDEBUG -w "\
 	--with-numthreads=8 \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ 
-	#--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ 
+	#--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
Index: issm/trunk/configs/config-macosx64-mathieu.sh
===================================================================
--- issm/trunk/configs/config-macosx64-mathieu.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-mathieu.sh	(revision 12332)
@@ -5,19 +5,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/lib/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/trunk/configs/config-macosx64-nicole.sh
===================================================================
--- issm/trunk/configs/config-macosx64-nicole.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-nicole.sh	(revision 12332)
@@ -5,21 +5,21 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-scotch-dir="$ISSM_TIER/externalpackages/scotch/install" \
-	--with-chaco-dir="$ISSM_TIER/externalpackages/chaco/install" \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-scotch-dir="$ISSM_DIR/externalpackages/scotch/install" \
+	--with-chaco-dir="$ISSM_DIR/externalpackages/chaco/install" \
 	--with-fortran-lib="/usr/local/gfortran/lib/gcc/x86_64-apple-darwin10/4.6.2/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/trunk/configs/config-macosx64-ogive.sh
===================================================================
--- issm/trunk/configs/config-macosx64-ogive.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-ogive.sh	(revision 12332)
@@ -9,19 +9,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/usr/local/gfortran/lib/x86_64/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/trunk/configs/config-macosx64-sophie.sh
===================================================================
--- issm/trunk/configs/config-macosx64-sophie.sh	(revision 12331)
+++ issm/trunk/configs/config-macosx64-sophie.sh	(revision 12332)
@@ -9,19 +9,19 @@
 
 ./configure \
-	--prefix=$ISSM_TIER \
+	--prefix=$ISSM_DIR \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
-	--with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
-	--with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  \
-	--with-mpi-include=$ISSM_TIER/externalpackages/mpich2/install/include  \
-	--with-mpi-lib=" $ISSM_TIER/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpich.a $ISSM_TIER/externalpackages/mpich2/install/lib/libmpl.a " \
+	--with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+	--with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+	--with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  \
+	--with-mpi-include=$ISSM_DIR/externalpackages/mpich2/install/include  \
+	--with-mpi-lib=" $ISSM_DIR/externalpackages/mpich2/install/lib/libpmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpich.a $ISSM_DIR/externalpackages/mpich2/install/lib/libmpl.a " \
 	--with-petsc-arch=$ISSM_ARCH \
-	--with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install \
-	--with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
-	--with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/include/ " \
-	--with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
-	--with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+	--with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install \
+	--with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+	--with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/include/ " \
+	--with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+	--with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
 	--with-fortran-lib="/sw/usr/local/lib/x86_64/libgfortran.a" \
 	--with-math-lib="/usr/lib/libm.dylib" \
Index: issm/trunk/configs/config-pleiades-petsc2.sh
===================================================================
--- issm/trunk/configs/config-pleiades-petsc2.sh	(revision 12331)
+++ issm/trunk/configs/config-pleiades-petsc2.sh	(revision 12332)
@@ -2,19 +2,19 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-serial=no \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
  --with-mpi-include=/nasa/sgi/mpt/1.25/include \
  --with-mpi-lib="-L/nasa/sgi/mpt/1.25/lib/ -lmpi -lpthread -lgfortran" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mkl-dir=/nasa/intel/mkl/10.0.011/lib/64/ \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/trunk/configs/config-pleiades.sh
===================================================================
--- issm/trunk/configs/config-pleiades.sh	(revision 12331)
+++ issm/trunk/configs/config-pleiades.sh	(revision 12332)
@@ -2,19 +2,20 @@
 
 ./configure \
- --prefix=$ISSM_TIER \
- --with-serial=no \
- --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install \
- --with-metis-dir=$ISSM_TIER/externalpackages/metis/install \
- --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install \
+ --prefix=$ISSM_DIR \
+ --with-modules=no \
+ --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install \
+ --with-metis-dir=$ISSM_DIR/externalpackages/metis/install \
+ --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install \
+ --with-tao-dir=$ISSM_DIR/externalpackages/tao/install \
  --with-mpi-include=/nasa/sgi/mpt/1.25/include \
  --with-mpi-lib="-L/nasa/sgi/mpt/1.25/lib/ -lmpi -lpthread -lgfortran" \
  --with-petsc-arch=$ISSM_ARCH \
- --with-dakota-dir=$ISSM_TIER/externalpackages/dakota/install \
+ --with-dakota-dir=$ISSM_DIR/externalpackages/dakota/install \
  --with-mkl-dir=/nasa/intel/mkl/10.0.011/lib/64/ \
- --with-plapack-lib="-L$ISSM_TIER/externalpackages/petsc/install/ -lPLAPACK" \
- --with-plapack-include="-I$ISSM_TIER/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
- --with-mumps-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-scalapack-dir=$ISSM_TIER/externalpackages/petsc/install/ \
- --with-blacs-dir=$ISSM_TIER/externalpackages/petsc/install/ \
+ --with-plapack-lib="-L$ISSM_DIR/externalpackages/petsc/install/ -lPLAPACK" \
+ --with-plapack-include="-I$ISSM_DIR/externalpackages/petsc/install/externalpackages/PLAPACKR32-hg/INCLUDE" \
+ --with-mumps-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-scalapack-dir=$ISSM_DIR/externalpackages/petsc/install/ \
+ --with-blacs-dir=$ISSM_DIR/externalpackages/petsc/install/ \
  --with-graphics-lib=/usr/lib64/libX11.so \
  --with-cxxoptflags="-O3 -xS" \
Index: issm/trunk/configs/config-win32-eric.sh
===================================================================
--- issm/trunk/configs/config-win32-eric.sh	(revision 12331)
+++ issm/trunk/configs/config-win32-eric.sh	(revision 12332)
@@ -4,3 +4,3 @@
 #get configure.sh to pick up the intel compiler 
 
-./configure --prefix=$ISSM_TIER --with-parallel=no --with-vendor=intel-win  --with-matlab-dir=$MATLAB_DIR --with-triangle-dir=$ISSM_TIER/externalpackages/triangle/install --with-metis-dir=$ISSM_TIER/externalpackages/metis/install --with-petsc-dir=$ISSM_TIER/externalpackages/petsc/install  --with-petsc-arch=$ISSM_ARCH  --with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/externalpackages/f2cblaslapack/$ISSM_ARCH
+./configure --prefix=$ISSM_DIR --with-parallel=no --with-vendor=intel-win  --with-matlab-dir=$MATLAB_DIR --with-triangle-dir=$ISSM_DIR/externalpackages/triangle/install --with-metis-dir=$ISSM_DIR/externalpackages/metis/install --with-petsc-dir=$ISSM_DIR/externalpackages/petsc/install  --with-petsc-arch=$ISSM_ARCH  --with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/externalpackages/f2cblaslapack/$ISSM_ARCH
Index: issm/trunk/configs/config-win7-32.sh
===================================================================
--- issm/trunk/configs/config-win7-32.sh	(revision 12331)
+++ issm/trunk/configs/config-win7-32.sh	(revision 12332)
@@ -2,15 +2,15 @@
 
 #Dos style path needed for the windows sdk 7.1 cl compiler: 
-ISSM_TIER_WIN=`cygpath -m "$ISSM_TIER"`
+ISSM_DIR_WIN=`cygpath -m "$ISSM_DIR"`
 
 #get configure.sh to pick up the win7 Visual Studio compiler 
-./configure --prefix=$ISSM_TIER \
+./configure --prefix=$ISSM_DIR \
 	--with-vendor=intel-win7-32  \
 	--with-matlab-dir=$MATLAB_DIR \
-	--with-triangle-dir="$ISSM_TIER_WIN/externalpackages/triangle/install" \
-	--with-metis-dir="$ISSM_TIER_WIN/externalpackages/metis/install" \
-	--with-petsc-dir="$ISSM_TIER_WIN/externalpackages/petsc/install" \
+	--with-triangle-dir="$ISSM_DIR_WIN/externalpackages/triangle/install" \
+	--with-metis-dir="$ISSM_DIR_WIN/externalpackages/metis/install" \
+	--with-petsc-dir="$ISSM_DIR_WIN/externalpackages/petsc/install" \
 	--with-petsc-arch=$ISSM_ARCH  \
-	--with-blas-lapack-dir=$ISSM_TIER/externalpackages/petsc/install/lib/  \
-	--with-mpi-lib="$ISSM_TIER_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
-	--with-mpi-include="$ISSM_TIER_WIN/externalpackages/petsc/install/include/mpiuni" 
+	--with-blas-lapack-dir=$ISSM_DIR/externalpackages/petsc/install/lib/  \
+	--with-mpi-lib="$ISSM_DIR_WIN/externalpackages/petsc/install/lib/libpetsc.lib" \
+	--with-mpi-include="$ISSM_DIR_WIN/externalpackages/petsc/install/include/mpiuni" 
